commit:     67f9979bc3e1c009d6a255de79e0cb9c4015cc4c
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 19 17:13:57 2023 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Mar 19 17:13:57 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67f9979b

net-wireless/lorcon: sync live ebuild

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 net-wireless/lorcon/lorcon-9999.ebuild | 37 ++++++++++++++--------------------
 1 file changed, 15 insertions(+), 22 deletions(-)

diff --git a/net-wireless/lorcon/lorcon-9999.ebuild 
b/net-wireless/lorcon/lorcon-9999.ebuild
index 1508abca7594..b7e75c806c22 100644
--- a/net-wireless/lorcon/lorcon-9999.ebuild
+++ b/net-wireless/lorcon/lorcon-9999.ebuild
@@ -4,71 +4,64 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..10} )
+PYTHON_COMPAT=( python3_{9..11} )
 DISTUTILS_OPTIONAL=1
 
-inherit distutils-r1
+inherit distutils-r1 flag-o-matic
 
 DESCRIPTION="A generic library for injecting 802.11 frames"
 HOMEPAGE="https://github.com/kismetwireless/lorcon";
 
-if [[ ${PV} == "9999" ]] ; then
+if [[ ${PV} == *9999 ]] ; then
        #main repo
        #EGIT_REPO_URI="https://www.kismetwireless.net/lorcon.git";
        #reliable mirror
        EGIT_REPO_URI="https://github.com/kismetwireless/lorcon.git";
        inherit git-r3
-       S="${WORKDIR}"/${P}
 else
        GIT_HASH="4a81d6aaa2c6ac7253ecd182ffe97c6c89411196"
        
SRC_URI="https://github.com/kismetwireless/lorcon/archive/${GIT_HASH}.tar.gz -> 
${P}.tar.gz"
        S="${WORKDIR}"/"${PN}-${GIT_HASH}"
+
        KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86 ~amd64-linux ~x86-linux"
 fi
 
 LICENSE="GPL-2"
 SLOT="0"
 IUSE="python"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
 RDEPEND="
        dev-libs/libnl:3=
        net-libs/libpcap
        python? ( ${PYTHON_DEPS} )"
 DEPEND="${RDEPEND}"
-BDEPEND="python? ( ${DISTUTILS_DEPS} )"
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-src_unpack() {
-       if [[ ${PV} == "9999" ]] ; then
-               git-r3_src_unpack
-               cp -R "${S}/" "${WORKDIR}/all" || die
-       fi
-       default_src_unpack
-}
+BDEPEND="
+       virtual/pkgconfig
+       python? ( ${DISTUTILS_DEPS} )"
 
 src_prepare() {
        default
        use python && distutils-r1_src_prepare
 }
 
-src_configure() {
-       econf --disable-static
-}
-
 src_compile() {
-       default_src_compile
+       default
+
        if use python; then
-               LDFLAGS+=" -L${S}/.libs/"
+               append-ldflags "-L${S}/.libs/"
                cd pylorcon2 || die
                distutils-r1_src_compile
        fi
 }
 
 src_install() {
-       emake DESTDIR="${D}" install
+       default
+
        if use python; then
                cd pylorcon2 || die
                distutils-r1_src_install
        fi
+
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to